# MatStencil

Data structure (C struct) for storing information about a single row or column of a matrix as index on an associated grid.

### Synopsis

    typedef struct {
      PetscInt k,j,i,c;
    } MatStencil;

### See Also

MatSetValuesStencil(), MatSetStencil(), MatSetValuesBlockStencil()

Level:beginner
Location: src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex19.c.html
src/snes/examples/tutorials/ex23.c.html
src/snes/examples/tutorials/ex27.c.html
src/snes/examples/tutorials/ex29.c.html